curl --request POST \
--url https://app.silnahealth.com/api/public/v1/benefits-checks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"specialties": [
"PHYSICAL_THERAPY"
],
"template_id": null,
"diagnosis_code_ids": null,
"network_status_override": null,
"procedure_group_ids": null,
"clinician_id": null,
"provider_group_id": null
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/benefits-checks/"
payload = {
"patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"specialties": ["PHYSICAL_THERAPY"],
"template_id": None,
"diagnosis_code_ids": None,
"network_status_override": None,
"procedure_group_ids": None,
"clinician_id": None,
"provider_group_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patient_plan_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
specialties: ['PHYSICAL_THERAPY'],
template_id: null,
diagnosis_code_ids: null,
network_status_override: null,
procedure_group_ids: null,
clinician_id: null,
provider_group_id: null
})
};
fetch('https://app.silnahealth.com/api/public/v1/benefits-checks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.silnahealth.com/api/public/v1/benefits-checks/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'patient_plan_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'specialties' => [
'PHYSICAL_THERAPY'
],
'template_id' => null,
'diagnosis_code_ids' => null,
'network_status_override' => null,
'procedure_group_ids' => null,
'clinician_id' => null,
'provider_group_id' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.silnahealth.com/api/public/v1/benefits-checks/"
payload := strings.NewReader("{\n \"patient_plan_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"specialties\": [\n \"PHYSICAL_THERAPY\"\n ],\n \"template_id\": null,\n \"diagnosis_code_ids\": null,\n \"network_status_override\": null,\n \"procedure_group_ids\": null,\n \"clinician_id\": null,\n \"provider_group_id\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.silnahealth.com/api/public/v1/benefits-checks/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"patient_plan_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"specialties\": [\n \"PHYSICAL_THERAPY\"\n ],\n \"template_id\": null,\n \"diagnosis_code_ids\": null,\n \"network_status_override\": null,\n \"procedure_group_ids\": null,\n \"clinician_id\": null,\n \"provider_group_id\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.silnahealth.com/api/public/v1/benefits-checks/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"patient_plan_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"specialties\": [\n \"PHYSICAL_THERAPY\"\n ],\n \"template_id\": null,\n \"diagnosis_code_ids\": null,\n \"network_status_override\": null,\n \"procedure_group_ids\": null,\n \"clinician_id\": null,\n \"provider_group_id\": null\n}"
response = http.request(request)
puts response.read_body{
"benefits_check_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"message": "<string>"
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}Create Benefits Check
curl --request POST \
--url https://app.silnahealth.com/api/public/v1/benefits-checks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"specialties": [
"PHYSICAL_THERAPY"
],
"template_id": null,
"diagnosis_code_ids": null,
"network_status_override": null,
"procedure_group_ids": null,
"clinician_id": null,
"provider_group_id": null
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/benefits-checks/"
payload = {
"patient_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"specialties": ["PHYSICAL_THERAPY"],
"template_id": None,
"diagnosis_code_ids": None,
"network_status_override": None,
"procedure_group_ids": None,
"clinician_id": None,
"provider_group_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
patient_plan_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
specialties: ['PHYSICAL_THERAPY'],
template_id: null,
diagnosis_code_ids: null,
network_status_override: null,
procedure_group_ids: null,
clinician_id: null,
provider_group_id: null
})
};
fetch('https://app.silnahealth.com/api/public/v1/benefits-checks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.silnahealth.com/api/public/v1/benefits-checks/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'patient_plan_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'specialties' => [
'PHYSICAL_THERAPY'
],
'template_id' => null,
'diagnosis_code_ids' => null,
'network_status_override' => null,
'procedure_group_ids' => null,
'clinician_id' => null,
'provider_group_id' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.silnahealth.com/api/public/v1/benefits-checks/"
payload := strings.NewReader("{\n \"patient_plan_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"specialties\": [\n \"PHYSICAL_THERAPY\"\n ],\n \"template_id\": null,\n \"diagnosis_code_ids\": null,\n \"network_status_override\": null,\n \"procedure_group_ids\": null,\n \"clinician_id\": null,\n \"provider_group_id\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.silnahealth.com/api/public/v1/benefits-checks/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"patient_plan_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"specialties\": [\n \"PHYSICAL_THERAPY\"\n ],\n \"template_id\": null,\n \"diagnosis_code_ids\": null,\n \"network_status_override\": null,\n \"procedure_group_ids\": null,\n \"clinician_id\": null,\n \"provider_group_id\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.silnahealth.com/api/public/v1/benefits-checks/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"patient_plan_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"specialties\": [\n \"PHYSICAL_THERAPY\"\n ],\n \"template_id\": null,\n \"diagnosis_code_ids\": null,\n \"network_status_override\": null,\n \"procedure_group_ids\": null,\n \"clinician_id\": null,\n \"provider_group_id\": null\n}"
response = http.request(request)
puts response.read_body{
"benefits_check_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}{
"message": "<string>"
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}clinician_id or provider_group_id. See Creating a Benefit Check as a Specific Clinician or Group.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key to prevent duplicate requests. We support keys up to 255 characters.
1 - 255Body
Benefits Check Create Request Schema
Benefits Check Create Request Schema
Patient Plan ID
List of specialties to create benefits check for
PHYSICAL_THERAPY, ABA_THERAPY, SPEECH_THERAPY, OCCUPATIONAL_THERAPY, PSYCHOLOGICAL_TESTING, HOME_HEALTH_CARE, HOSPICE, CARDIAC_REHABILITATION, INTENSIVE_CARDIAC_REHABILITATION, MENTAL_HEALTH, PRINCIPAL_ILLNESS_NAVIGATION, PRINCIPAL_CARE_MANAGEMENT, ADVANCED_PRIMARY_CARE_MODELS, PREVENTATIVE_HEALTH, PARTIAL_HOSPITALIZATION_PROGRAM, INTENSIVE_OUTPATIENT_PROGRAM, INTERVENTIONAL_RADIOLOGY, VASCULAR_SURGERY, INTERVENTIONAL_CARDIOLOGY, ORTHOPEDICS, CHIROPRACTIC, GYNECOLOGY, LONG_TERM_CARE, NUTRITIONAL_COUNSELING, PHYSICAL_MEDICINE, PULMONARY_REHABILITATION, INJECTABLE_SPECIALTY_MEDICATIONS, ALLERGY_TESTING, SKILLED_NURSING, RADIOLOGY, OTOLARYNGOLOGY, DURABLE_MEDICAL_EQUIPMENT, DERMATOLOGY, PROFESSIONAL_OFFICE_VISIT, PSYCHIATRY, PRIVATE_DUTY_NURSING, NEUROLOGY ["PHYSICAL_THERAPY"]
Benefits Check Template ID
Diagnosis code IDs to attach to this benefits check. Use GET /diagnosis-codes to look up IDs by code. If not provided, the patient's diagnosis codes are used. If an empty list is sent, the benefits check is not verified against any diagnosis code, even if the patient has diagnosis codes on record. Diagnosis codes are only attached when benefits check diagnosis codes are enabled for the provider. When they are, a benefits check with different diagnosis codes is not treated as a duplicate of an existing benefits check for the same patient plan and specialty.
Override the network status for this benefits check. If provided, the benefits check will use this network status instead of determining it automatically.
IN_NETWORK, OUT_OF_NETWORK Procedure group IDs defining the CPT codes this benefits check is verified against. Each procedure group must be configured for one of the requested specialties, and the benefits check template used for this request must allow procedure group selection. Use GET /procedure-groups to look up IDs, optionally by exact CPT codes. A benefits check with different procedure groups is not treated as a duplicate of an existing benefits check for the same patient plan and specialty.
Clinician to verify benefits as. If provided, this clinician's NPI is used for eligibility requests and payor calls and portals instead of the contracted group. Cannot be combined with provider_group_id. Must be enabled for the provider. Use GET /clinicians to look up IDs.
Provider group to verify benefits as. If provided, this group's NPI and TIN are used for eligibility requests and payor calls and portals instead of the contracted group. Cannot be combined with clinician_id. Must be enabled for the provider. Use GET /provider-groups to look up IDs.
Response
Benefits Check Create Response Schema
Benefits Check Create Response Schema
List of created benefits check IDs